import { BasicColumn, FormSchema } from '/@/components/Table';
import { getTown, getHylb, dict } from '/@/api/common/api';
import { transformArray, convertTreeData } from '/@/utils/modifFiled';
import { ref } from 'vue';

export const useSuspectsData = () => {
  const suspects = ref([]);
  // 获取行业分类
  const getIsSuspect = async () => {
    suspects.value = await dict({ key: 'dk_hyfl' });
  };
  getIsSuspect();
  return { data: suspects };
};

export const useCategoryData = () => {
  let allCategory = [];
  const treeData = ref([]);
  // 获取行业类别
  const getData = async () => {
    allCategory = await getHylb({});
    allCategory = convertTreeData(allCategory); // 只显示前2级
    allCategory.forEach((item) => {
      item.disabled = true; // 第1层级不能选中
    });
    treeData.value = allCategory;
  };
  getData();
  // 改变行业分类
  function changeIsSuspect(v) {
    if (v == 1) {
      // 只显示42号类
      treeData.value = allCategory.filter((item) => item['is42']);
    } else {
      treeData.value = allCategory;
    }
  }
  return { data: treeData, changeIsSuspect };
};
export const columns: BasicColumn[] = [
  {
    title: '地块名称',
    dataIndex: 'wrdkmc',
  },
  {
    title: '地块编码',
    dataIndex: 'wrdkbm',
  },
  {
    title: '市',
    dataIndex: 'cityName',
  },
  {
    title: '县',
    dataIndex: 'countryName',
  },
  // {
  //   title: '行业归属',
  //   dataIndex: 'hygs',
  // },
  {
    title: '行业类别',
    dataIndex: 'hylb',
  },
  {
    title: '政策依据',
    dataIndex: 'faliYiju',
  },
  {
    title: '政策依据条款',
    dataIndex: 'faliErji',
  },
  {
    title: '地块类型',
    dataIndex: 'dklx',
  },
  {
    title: '创建地块时间',
    dataIndex: 'createTsamp',
  },
  {
    title: '是否超标',
    dataIndex: 'sfcb',
  },
  {
    title: '所处阶段',
    dataIndex: 'scjdbm',
  },
  // {
  //   title: '阶段内状态',
  //   dataIndex: 'jdnzt',
  // }
];

// T1：填报中 DSL：待受理 T2：待评审 SH：评审通过 SHBTG：评审不通过 SHHDWS：评审后待完善 BPS：不评审 DKDTC：地块待退出 DKYTC：地块已退出
export const searchFormSchema: FormSchema[] = [
  {
    label: '行政区(市)',
    field: 'cityCode',
    component: 'ApiSelect',
    componentProps: ({ formModel, formActionType }) => {
      return {
        api: getTown,
        params: 440000, // 行政区划编码
        labelField: 'name',
        valueField: 'id',
        onChange: (val: any) => {
          const { updateSchema } = formActionType;
          formModel.countryCode = undefined;
          if (val) {
            updateSchema({
              field: 'countryCode',
              componentProps: {
                api: getTown,
                params: val,
              },
            });
          } else {
            updateSchema({
              field: 'countryCode',
              componentProps: {
                api: undefined,
              },
            });
          }
        },
      };
    },
  },
  {
    label: '区县',
    field: 'countryCode',
    component: 'ApiSelect',
    componentProps: {
      labelField: 'name',
      valueField: 'id',
    },
  },
  {
    label: '政策依据',
    field: 'faliyiju',
    component: 'JSearchSelect',
    componentProps: {
      dict: 'dk_zcyj',
    },
  },
  {
    label: '行业分类',
    field: 'isSuspect',
    component: 'ApiSelect',
    slot: 'suspect',
  },
  {
    label: '行业类别',
    field: 'hylb',
    component: 'TreeSelect',
    slot: 'category',
  },
  {
    label: '地块类型',
    field: 'dklx',
    component: 'JSearchSelect',
    componentProps: {
      dict: 'dk_dklx',
    },
  },
  {
    label: '是否超标',
    field: 'sfcb',
    component: 'JSearchSelect',
    componentProps: {
      dict: 'qd_sfcb',
    },
  },
  {
    label: '地块名称或者编码',
    field: 'wrdkbm',
    component: 'Input',
  }
];

export const formSchema: FormSchema[] = [

]